# distutils: sources = hashimpl.cpp
from libcpp.string cimport string

cdef extern from "hashimpl.cpp":
    pass

cdef extern from "hashimpl.hpp":
    string md5(const string & input) except +
    string sha256(const string & input) except +
    string md5withfile(const string & file_path) except +
    string sha256withfile(const string& file_path) except +